<!-- Main Header -->
<header class="main-header">

    <!-- Logo -->
    <a routerLink="/" class="logo" style="text-decoration: none;">
      <!-- mini logo for sidebar mini 50x50 pixels -->
      <span class="logo-mini">
       {{appShortName}}
      </span>
      <!-- logo for regular state and mobile devices -->
      <span class="logo-lg">
        {{appName}}
      </span>
    </a>
  
    <!-- Header Navbar -->
    <nav class="navbar navbar-static-top" role="navigation">
      <!-- Sidebar toggle button-->
      <a href="#" class="sidebar-toggle" data-toggle="offcanvas" role="button" style="text-decoration: none;">
        <span class="sr-only">Toggle navigation</span>
      </a>
      <!-- Navbar Right Menu -->
      <div class="navbar-custom-menu">
        <ul class="nav navbar-nav">
          <!-- User Account Menu -->
          <li *ngIf="userDetails" class="dropdown user user-menu">
            <!-- Menu Toggle Button -->
            <a href="#" class="dropdown-toggle" data-toggle="dropdown">
              <!-- The user image in the navbar-->
              <img src="{{userImgPath}}" class="user-image" alt="User Image">
              <!-- hidden-xs hides the username on small devices so only the image appears. -->
              <span class="hidden-xs">{{userDetails.name}}</span>
            </a>
            <ul class="dropdown-menu">
              <!-- The user image in the menu -->
              <li class="user-header">
                <img src="{{userImgPath}}" class="img-circle" alt="User Image">
              </li>
  
              <li class="user-footer">
                <div class="pull-right">
                  <a [routerLink]="['/profiles', currentEthAccount || '']" class="btn btn-default btn-flat">Profile</a>
                </div>
              </li>
            </ul>
          </li>
          <!-- Control Sidebar Toggle Button -->
          <li>
            <a href="#" data-toggle="control-sidebar" style="visibility: hidden;">
              <i class="fa fa-gears"></i>
            </a>
          </li>
        </ul>
      </div>
    </nav>
  </header>